@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

@import "../support/_bulkedit-variables.scss";

.bulkedit{
	
	&-attr {
		padding-top: $bulkedit__attribute-row--padding-top;
		margin: 0;
		display: -webkit-box;
		display: -ms-flexbox;
		display: flex;
		-webkit-box-align: start;
		-ms-flex-align: start;
		align-items: flex-start;
		width: 100%;
		overflow: hidden;

		&-cnt {
			-ms-flex: 1 1 auto;
			-moz-box-flex: 1 1 auto;
			-webkit-flex: 1 1 auto;
			-webkit-box-flex: 1 1 auto;
			flex: 1 1 auto;
    		overflow: auto;
    		margin: $bulkedit__attribute-cnt--margin;
    		padding: $bulkedit__attribute-cnt--padding;

    		body.ie & {
    			min-height: $bulkedit__content-attributes--min-height;
    			max-height: $bulkedit__content-attributes--max-height;

    			@media screen and (min-height: $bulkedit__bp-m--min-height){
    				max-height: $bulkedit__content-attributes-bp-m--max-height;
    			}
    		}
		}

		&-name {
			max-width: $bulkedit__attribute-name--max-width;
			width: 100%;
			min-height: $_bulkedit__attribute-name--min-height;
		    padding-right: $bulkedit__attribute-name--padding-right;
			display: -webkit-box;
			display: -ms-flexbox;
			display: flex;
			-webkit-box-align: center;
			-ms-flex-align: center;
			align-items: center;

			.z-label {
				word-break: break-word;
				word-wrap: break-word;
				width: 100%;
				display: inline-block;
			}
		}

		&-value {
			position: relative;
			width: 100%;
			-ms-flex: 1 1 auto;
			-moz-box-flex: 1 1 auto;
			-webkit-flex: 1 1 auto;
			-webkit-box-flex: 1 1 auto;
			flex: 1 1 auto;
			
			.ye-validation-panel,
			.yw-loceditor-fixed-closed .yw-loceditor-caption,
			.yw-loceditor-fixed-open .yw-loceditor-caption{
				margin-top: $bulkedit__attribute-icon-panel--margin-top;
				position: absolute;
				right: 0;
			}
			> .z-div:last-child {
				padding-bottom: $bulkedit__attribute-value-container--padding-bottom;
			}
			.ye-validation-error,
			.ye-validation-info,
			.ye-validation-warn {
				.ye-validation-panel + .yw-loceditor {
					.yw-loceditor-caption {
						right: $bulkedit__validation-localized-caption--right;
						padding-right: $bulkedit__validation-localized-caption--margin-right;
					}
					.y-icon-loceditor {
						margin-right: 0;
					}
				}	
			}
			.yw-wizard-content & .yw-loceditor-fixed-open, 
			.yw-wizard-content & .yw-loceditor-dynamic-content {
				.yw-loceditor-row-editor > .z-div > input.ye-input-text.z-textbox {
					border-width: $boxes--border__thin;
					border-style: solid;
				}
			}
			
		}
		&-clear-switch {
			max-width: $bulkedit__attribute-clear--width;
			width: 100%;
			padding-left:  $bulkedit__attribute-clear--padding-left;
			vertical-align: top;
			-ms-flex: 0 0 auto;
			-moz-box-flex: 0 0 auto;
			-webkit-flex: 0 0 auto;
			-webkit-box-flex: 0 0 auto;
			flex: 0 0 auto;

			.z-checkbox-content {
				padding-right: 0;
				word-wrap: break-word;
    			word-break: break-word;
			}

			.ye-switch-checkbox.z-checkbox input:checked ~ .z-checkbox-content:before {
				background: $bulkedit__attribute-clear-switch-checked--bg-color;
				border-color: $bulkedit__attribute-clear-switch-checked--border-color;
			}
		}

		&-greyout-area{
			background-color: $bulkedit__notifier-container--bg-color;
			position: absolute;
			display: inline-block;
			text-align: center;
			overflow: hidden;
			height: 100%;
			top: 0;
			left: 0;
			right: 0;
			z-index: 2;
			-webkit-animation: $bulkedit__notifier-container--animation; 
			animation: $bulkedit__notifier-container--animation;

			.z-label {
				margin-top: $bulkedit__notifier-label--margin-top;
				color: $bulkedit__notifier-label--color;
				font-weight: $bulkedit__notifier-label--font-weight;
				position: absolute;
				top: 50%;
				left: 0;
				width: 100%;
				display: inline-block;
			}
		}

		& .yw-editorarea-label-container:not(.yw-loceditor-caption) {
			display: none;
		}
	}

	&-validate-all-attributes {
		&-cnt {
			-ms-flex: 0;
			-moz-box-flex: 0;
			-webkit-flex: 0;
			-webkit-box-flex: 0;
			flex: 0;
    		margin: $bulkedit__validate-all-attributes--margin;
    		padding: $bulkedit__validate-all-attributes--padding;
    		box-sizing: border-box;
    		border-top: $bulkedit__validate-all-attributes--border-top;

    		body.ie & {
    			height: $bulkedit__validate-all-attributes-bp-m--min-height;
    			min-height: $bulkedit__validate-all-attributes-bp-m--min-height;
    			overflow: hidden;
    			white-space: nowrap;

    			&:empty {
    				height: 0;
    				min-height: 0;
    			}
    		}
		}

		&-switch label {
			padding-right: 10px;
		}

		&-help-icon {
			margin: 0;
		}

		&-popup .z-popup-content {
			margin: 10px;
			width: 350px;
		}
	}

	&-content {
		.yw-modal-configurableFlow &.yw-wizard-content {
			display: -webkit-box;
  			display: -moz-box;
  			display: -ms-flexbox;
  			display: -webkit-flex;
  			display: flex;
			-webkit-box-orient: vertical;
			-webkit-box-direction: normal;
    		-ms-flex-direction: column;
        	flex-direction: column;
			overflow: hidden;
			padding-top: 0;
			padding-bottom: 0;

			body.ie & {
				min-height: $bulkedit__content--min-height;
        		max-height: $bulkedit__content--max-height;
				
				@media screen and (min-height: $bulkedit__bp-m--min-height){
					max-height: calc(100vh - 300px);
				}
			}
		}

		> .y-bulkedit-greyout-area {
			display: inline-block;
			position: absolute;
		}
	}
}

